#include <windows.h>
#include <winbase.h>
#include <stdlib.h>
#include <stdarg.h>
#include <tchar.h>
#include "config.h"

const __int64 FT_EPOCH=116444736000000000;
const __int64 FT_TICKS=10000000;

void abort(void)
{	ExitThread((UINT)3);
}

int unlink(const char *path)
{	TCHAR wpath[MAX_PATH+1];
	int n;
	n=MultiByteToWideChar(CP_ACP, 0, path, -1, wpath, MAX_PATH);
	wpath[n]=_T('\0');
	n=DeleteFile(wpath) ? 0 : GetLastError();
	return n;
}

int PyOS_InterruptOccurred()
{
	return 0;
}

void PyOS_InitInterrupts()
{
}
void PyOS_FiniInterrupts()
{
}

/* Replacements for intrcheck.c functionality
 * Declared in pyerrors.h
 */
void
PyErr_SetInterrupt(void)
{
	return;
/*
	is_tripped++;
	Handlers[SIGINT].tripped = 1;
	Py_AddPendingCall((int (*)(void *))PyErr_CheckSignals, NULL); */
}


void assert(int x)
{
	if (!(x)) abort();

}